%define name userdrake
%define version 0.5
%define release 5mdk

Summary: Tool to edit the user/group base on your system
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Source1: %{name}.menu
License: GPL
URL: http://www.linux-mandrake.com/
Group: System/Configuration/Other
BuildRequires: gettext-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: usermode 
Requires: mandrake_desk >= 8.2
BuildRequires: gcc gdk-pixbuf-devel libglade-devel libldap2-devel pam-devel texinfo gettext

%description
Userdrake is a user-friendly and powerful tool to add/edit/remove users
from your Mandrake Linux system.

%prep
%setup -q

%build
%configure 
%make
 
%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
mkdir -p $RPM_BUILD_ROOT/%{_iconsdir}/
mkdir -p $RPM_BUILD_ROOT/%{_liconsdir}/
mkdir -p $RPM_BUILD_ROOT/%{_miconsdir}/
mv $RPM_BUILD_ROOT/%{_datadir}/%{name}/pixmaps/%{name}16.png $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
mv $RPM_BUILD_ROOT/%{_datadir}/%{name}/pixmaps/%{name}32.png $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
mv $RPM_BUILD_ROOT/%{_datadir}/%{name}/pixmaps/%{name}48.png $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png
mkdir -p $RPM_BUILD_ROOT/%{_menudir}/
install %{SOURCE1} $RPM_BUILD_ROOT/%{_menudir}/%{name}

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/{pam.d,security/console.apps}

cat <<EOF >$RPM_BUILD_ROOT%{_sysconfdir}/pam.d/%{name}
#%PAM-1.0
auth       sufficient	/lib/security/pam_rootok.so
auth       required    /lib/security/pam_stack.so service=system-auth
session    optional	/lib/security/pam_xauth.so
account    required	/lib/security/pam_permit.so
EOF

cat <<EOF >$RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/%{name}
USER=root
PROGRAM=/usr/sbin/userdrake.real
SESSION=true
FALLBACK=true
EOF

mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mv $RPM_BUILD_ROOT%{_bindir}/userdrake $RPM_BUILD_ROOT%{_sbindir}/userdrake.real 
ln -s %{_bindir}/consolehelper $RPM_BUILD_ROOT%{_bindir}/userdrake

%{find_lang} %{name}


%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*
%{_datadir}/%{name}/*
%config(noreplace) %{_sysconfdir}/security/console.apps/*
%config(noreplace) %{_sysconfdir}/pam.d/*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Tue Nov 19 2002 Daouda LO <daouda@mandrakesoft.com> 0.5-5mdk
- Todd Lyons patch 
		o use memberUid instead of uniqueMember.
		o use of crypt (MD5 aware password)

* Wed Oct 30 2002 Stefan van der Eijk <stefan@eijk.nu> 0.5-4mdk
- BuildRequires: gettext-devel

* Thu Sep  5 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 0.5-3mdk
- rebuild to include latest translations

* Tue Aug 27 2002 David BAUDENS <baudens@mandrakesoft.com> 0.5-2mdk
- New icons (menu)

* Wed May 22 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.5-1mdk
- Add gettext in BuildRequires.
- Apply Todd's changes (encrypt passwd with ldap).

* Thu Apr 25 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.4-1mdk
- Add login check.
- Don't use glade anymore to work on the interface.
- Re-merge embedded patch to the source (glade removed it).
- Remake the error window function.

* Fri Mar 08 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.3-22mdk
- Fix embedded mode.

* Thu Feb 28 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 0.3-21mdk
- integrated Basque translation

* Mon Feb 25 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.3-20mdk
- Apply embedded mode in source (patch0).

* Fri Feb 22 2002 dam's <damien@mandrakesoft.com> 0.3-19mdk
- added embedded mode (patch0)

* Mon Feb 18 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.3-18mdk
- Add an error window if not able to bind LDAP server.

* Thu Feb 14 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.3-17mdk
- Hide nobody user (uid 65534).

* Thu Feb 14 2002 Stefan van der Eijk <stefan@eijk.nu> 0.3-16mdk
- BuildRequires

* Wed Feb 13 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.3-15mdk
- Really fix uid-gid bug.

* Wed Feb 13 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.3-14mdk
- Fix gid-uid bug (was trying to get max+1, causing ids of 65536).
- Fix userdrakerc bug, was not writing the file if non-existent.

* Mon Feb 11 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.3-13mdk
- Apply custom-face patch from Aurelien.

* Thu Jan 31 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.3-12mdk
- Fix ergonomic bug.

* Fri Jan  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3-11mdk
- Fix rpmlint errors

* Fri Jan  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3-10mdk
- Fix compilation with latest gdk-pixbuf

* Tue Oct 23 2001 Vincent Saugey <vince@mandrakesoft.com> 0.3-9mdk
- Rebuild with new png lib.

* Fri Sep 28 2001 Stefan van der Eijk <stefan@eijk.nu> 0.3-8mdk
- BuildRequires: libldap2-devel

* Mon Sep 24 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.3-7mdk
- rebuild including latest translations

* Fri Sep 21 2001 Vincent Saugey <vince@mandrakesoft.com> 0.3-6mdk
- Fix passwd change in ldap

* Thu Sep 20 2001 Vincent Saugey <vince@mandrakesoft.com> 0.3-5mdk
- Use start/tls by default

* Tue Sep 18 2001 Vincent Saugey <vince@mandrakesoft.com> 0.3-4mdk
- now, can be launch as user
- Make edit file systeme by default
- Correct mask for save conf file

* Mon Sep 10 2001 Vincent Saugey <vince@mandrakesoft.com> 0.3-3mdk
- Add ldap rfc2307bis support
- Change some small think in interface
- now you can choose a default group and all new users will be attach to it

* Tue Apr 10 2001 Vincent Saugey <vince@mandrakesoft.com> 0.3-2mdk
- Fix bug in parser passwd and group
- reomve patch for embeded version


* Tue Feb  6 2001 dam's <damien@mandrakesoft.com> 0.3-1mdk
- added embededd mode (patch0 + main.h in the source) 

* Thu Jan 11 2001 David BAUDENS <baudens@mandrakesoft.com> 0.2-5mdk
- BuildRequires: pam-devel

* Fri Nov 24 2000 Vincent Saugey <vince@mandrakesoft.com> 0.2-4mdk
- Bug Fix for passwd setting when userdrake is using without shadow passwd #1546

* Thu Oct 19 2000 Vincent Saugey <vince@mandrakesoft.com> 0.2-3mdk
- unset umask at begin
- corrected some po file

* Tue Oct 10 2000 Vincent Saugey <vince@mandrakesoft.com> 0.2-2mdk
- Add default group only and secure level lesser than 3

* Mon Oct  9 2000 Vincent Saugey <vince@mandrakesoft.com> 0.2-1mdk
- Remove circular reference
- Use console helper

* Mon Oct  9 2000 Vincent Saugey <vince@mandrakesoft.com> 0.1beta-9mdk
- Add faces pixmaps to applications

* Mon Oct  9 2000 Vincent Saugey <vince@mandrakesoft.com> 0.1beta-8mdk
- Some changes
- Add passwd frame in add user window
- Fix english typo fault
- Update french po

* Sun Oct  8 2000 Vincent Saugey <vince@mandrakesoft.com> 0.1beta-7mdk
- Many Many changes
- Adding msec group by default when adding a user
- Message box at startup if user not root
- Message box at startup if user lib lock
- Recode face management another time
- Remove debug messages
- Move autologin flag in setting
- Change menu order in view menu
- Fix a lot of bug
- Many other change  

* Fri Oct  6 2000 Vincent Saugey <vince@mandrakesoft.com> 0.1beta-6mdk
- Fix some little bug
- Faces code changed
- Managment of default face

* Thu Oct  5 2000 Vincent Saugey <vince@mandrakesoft.com> 0.1beta-5mdk
- Fix desktop for autologin 
- some typo correction

* Wed Oct  4 2000 Vincent Saugey <vince@mandrakesoft.com> 0.1beta-4mdk
- Correct chaine for autologin

* Tue Oct  3 2000 Vincent Saugey <vince@mandrakesoft.com> 0.1beta-3mdk
- Add autologging support

* Fri Sep 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.1beta-2mdk
- add Requires: kdesu
- removed silly Obsoletes: DrakeMenu
- use an english-compliant %%description tag

* Wed Sep 27 2000 Vincent Saugey <vince@mandrakesoft.com> 0.1beta-1mdk
- First beta release ouf !!!

